# Class: Event

## ol.render.Event

### Extends

- goog.events.Event
- oli.render.Event

### Members

#### context{CanvasRenderingContext2D} {null} {undefined} experimental

  Canvas context. Only available when a Canvas renderer is used, null otherwise.

#### frameState{olx.FrameState} {undefined} experimental

#### glContext{ol.webgl.Context} {null} {undefined} experimental

  WebGL context. Only available when a WebGL renderer is used, null otherwise.

#### vectorContext{ol.render.IVectorContext} {undefined} experimental

  For canvas, this is an instance of `ol.render.canvas.Immediate`.

### Events

#### postcompose experimental

src/ol/render/renderevent.js, line 12

#### precompose experimental

src/ol/render/renderevent.js, line 17

#### render experimental

src/ol/render/renderevent.js, line 22